gnutls_certificate_set_openpgp_key_mem(3)

NAME
gnutls_certificate_set_openpgp_key_mem - Used to set OpenPGP keys

SYNOPSIS
#include <gnutls/extra.h>

int gnutls_certificate_set_openpgp_key_mem(gnutls_certificate_credentials_t res, const gnutls_datum_t * cert, const gnutls_datum_t * key);

ARGUMENTS

gnutls_certificate_credentials_t      res
    the destination context to save the data.

const gnutls_datum_t * cert
    the datum that contains the public key.

const gnutls_datum_t * key
    the datum that contains the secret key.

DESCRIPTION
This funtion is used to load OpenPGP keys into the GnuTLS credential structure. It doesn't matter whether the keys are armored or but, but the files should only contain one key which should not be encrypted.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.

COPYRIGHT
Copyright © 2004 Free Software Foundation.
Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.